Importing graphlab in ipython error: AttributeError: 'module' object has no attribute 'connect'

User 2317 | 9/25/2015, 5:30:51 PM

I have pip installed Graph Create on my Anaconda installed on MacOSX. The install was successful. However when I try to import Graphlab in ipython I get get following error: Any help would be appreciated... thanks.

import graphlab

AttributeError Traceback (most recent call last) <ipython-input-2-4b66ad388e97> in <module>() ----> 1 import graphlab

/Users/durpani/anaconda/envs/2.7/lib/python2.7/site-packages/graphlab/init.py in <module>() 52 from graphlab.util import setruntimeconfig 53 ---> 54 import graphlab.connect as _mt 55 import graphlab.connect.aws as aws 56 import visualization

AttributeError: 'module' object has no attribute 'connect'

Comments

User 15 | 9/28/2015, 5:49:47 PM

Hi,

I think this can happen if somehow all the required files were not installed. Could you try uninstalling with pip and reinstalling? Before reinstalling, you could also remove the directory "/Users/durpani/anaconda/envs/2.7/lib/python2.7/site-packages/graphlab" to make sure it's all gone.

If that doesn't work, for another data point you could try using the Dato Launcher: https://dato.com/download/install-graphlab-create.html

This will install its own Anaconda Python with GraphLab Create in it. That may not be what you want, but even if it isn't it may help us to debug if this succeeds and your usage of pip fails.

Evan


User 2429 | 10/17/2015, 6:01:47 AM

Hi guys, I have a similar problems. I already installed graph1.6.1 . I faces with AttributeError Traceback (most recent call last) <ipython-input-3-4b66ad388e97> in <module>() 1 import graphlab

/Library/Python/2.7/site-packages/graphlab/init.py in <module>() 52 from graphlab.util import setruntimeconfig 53 54 import graphlab.connect as _mt 55 import graphlab.connect.aws as aws 56 import visualization

AttributeError: 'module' object has no attribute 'connect'

Please help me!


User 2365 | 10/17/2015, 9:08:58 AM

I too have the same problem I always get AttributeError Traceback (most recent call last) for the commands i run like graph lab.SFrame or graph lab.SFrames Please help me


User 2660 | 11/22/2015, 10:42:06 AM

I had the same issue, It appeared for me after I tried to install on Centos6.7 and got forum.dato.com/discussion/1125/importerror-libunity-shared-so-undefined-symbol-gzopen64

After solving the first issue I needed to reinstall the package (as Evan suggested), and it was solved